summaryrefslogtreecommitdiff
path: root/qa/run_xfstests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'qa/run_xfstests.sh')
-rw-r--r--qa/run_xfstests.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/qa/run_xfstests.sh b/qa/run_xfstests.sh
index f906c97a7c0..92b449aab64 100644
--- a/qa/run_xfstests.sh
+++ b/qa/run_xfstests.sh
@@ -407,7 +407,7 @@ setup
pushd "${XFSTESTS_DIR}"
./check ${TESTS}
-# sadly, check doesn't return a meaningful exit status
+status=$?
popd
cleanup
@@ -415,4 +415,4 @@ cleanup
echo "This xfstests run started at: ${start_date}"
echo "xfstests run completed at: $(date)"
-exit 0
+exit "${status}"